set ylabel "$\\frac{e}{\\rho}$" norotate
set xlabel "$\\rho$"

set xtics 1e-4, 100, 10000
set xtics add ("$10^{-4}$" 0.0001, "$10^{-2}$" 0.01, "$1$" 1.0, "$10^2$" 100, "$10^4$" 10000)
unset mxtics

set xrange [1e-5:1e4]

#set ytics 0.8, 0.05, 1.1
set yrange [0:40]

# default output canvas size: 12.5cm x 8.75cm
set term lua tikz size 8,6 standalone

set key top left box linetype rgbcolor"#999999" width 0.3 height 0.3 spacing 1.3


# set linestyle
set style line 1 linetype rgbcolor "#FF3399" linewidth 2
set style line 2 linetype rgbcolor "#DC143C" linewidth 2
set style line 3 linetype rgbcolor "#DC143C" linewidth 2
set style line 4 linetype rgbcolor "#4B0082" linewidth 2 dashtype "."
set style line 5 linetype rgbcolor "#DAA520" linewidth 2
set style line 6 linetype rgbcolor "#999999" linewidth 1.5 dashtype (1,5)

set pointsize 1

set logscale x

a=0.597754
beta=6.87436

plot \
 "bigeq_tent.dat" using 1:($2/$1) with lines ls 4 title "big $v_{32}^{(0)}$",\
 "bigeq_exp.dat" using ($1*beta**3):($2/$1/beta) with lines ls 5 title "big $\\Phi$",\
 "2021-02-16+tent32.dat" u 1:($2/$1) ls 1 title "QMC $v_{32}^{(0)}$",\
 "2021-02-16+19.dat" u ($1*beta**3):($2/$1/beta) ls 2 title "QMC $\\Phi$",\
 2*pi*a*(1+128./15/sqrt(pi)*sqrt(x*a**3)) ls 6 title "LHY"
