set title "$\\rho=0.0001$"
set ylabel "$\\frac{\\tilde C_2}{\\rho^2}$" norotate offset -1,0
set xlabel "$|\\mathbf x|$"

set yrange [:1.1]

# default output canvas size: 12.5cm x 8.75cm
set term lua tikz size 8,6 standalone

set key bottom right box linetype rgbcolor"#999999" width 0.3 height 0.3 spacing 1.3


# set linestyle
set style line 1 linetype rgbcolor "#4169E1" linewidth 2 dashtype "."
set style line 2 linetype rgbcolor "#DC143C" linewidth 1
set style line 3 linetype rgbcolor "#32CD32" linewidth 2 dashtype "-"
set style line 4 linetype rgbcolor "#4B0082" linewidth 2
set style line 5 linetype rgbcolor "#DAA520" linewidth 2
set style line 6 linetype rgbcolor "#555500" linewidth 2

set pointsize 0.5

rho=1e-4

plot \
 "simpleq0001.dat" using 1:($2/rho**2) with lines ls 1 title "simple",\
 "mueq0001.dat" using 1:($2/rho**2) with lines ls 3 title "med",\
 "bigeq0001.dat" using 1:($2/rho**2) with lines ls 5 title "big",\
 "2020-10-01+correlation16-0001.dat" using 1:2 ls 2 title "QMC"

