set ylabel "energy relative error"
set xlabel "$\\rho$"

set xtics 1e-6, 100, 1
set xtics add ("$10^{-6}$" 0.000001, "$10^{-4}$" 0.0001, "$10^{-2}$" 0.01, "$1$" 1.0)
unset mxtics

set xrange [1e-9:sqrt(2)]

set ytics 1e-5, 10, 10
set ytics add ("$10^{-5}$" 1e-5, "$10^{-4}$" 1e-4, "$10^{-3}$" 1e-3, "$10^{-2}$" 1e-2, "$10^{-1}$" 1e-1, "$10^{0}$" 1, "$10^1$" 10)
#unset mytics

# default output canvas size: 12.5cm x 8.75cm
set term lua tikz size 8,6 standalone

set key top left box linetype rgbcolor"#999999" width 0.3 height 0.3 spacing 1.3

# set linestyle
set style line 1 linetype rgbcolor "#4169E1" linewidth 2 dashtype "."
set style line 2 linetype rgbcolor "#DC143C" linewidth 2
set style line 3 linetype rgbcolor "#32CD32" linewidth 2 dashtype "-"
set style line 4 linetype rgbcolor "#4B0082" linewidth 2
set style line 5 linetype rgbcolor "#DAA520" linewidth 2
set style line 6 linetype rgbcolor "#999999" linewidth 2

set pointsize 1

set logscale xy

plot \
 "simpleq-compare.dat" using 1:($3<1e-2 ? 2*abs($5/2-$2)/$5 : 1/0) with lp ls 4 title "simple hc",\
 "simpleq_soft-compare.dat" using 1:($3<1e-2 ? 2*abs($5/2-$2)/$5 : 1/0) with lp ls 1 title "simple",\
 "mueq_soft-compare.dat" using 1:($3<1e-2 ? 2*abs($5/2-$2)/$5 : 1/0) with lp ls 3 title "med",\
 "bigeq_soft-compare.dat" using 1:($3<1e-2 ? 2*abs($5/2-$2)/$5 : 1/0) with lp ls 5 title "big"

